# Enum FixedCode

java.lang.Object
java.lang.Enum<FixedCode>
uk.ac.starlink.ttools.taplint.FixedCode

All Implemented Interfaces:
  `Serializable, Comparable<FixedCode>, java.lang.constant.Constable, ReportCode`

public enum FixedCode extends Enum<FixedCode> implements ReportCode
Enumerates known ReportCode instances. A short description is provided for each instance. Note the description is not definitive, the actual message passed through the reporting system in association with the code is the one that should actually be passed to the user.

This class exists for taplint clients that want to have a static idea of the ReportCode instances that may be reported by the taplint framework. Note it does not provide a complete list of all the ReportCodes, since other ReportCode sublclasses may be used. But it is expected to be the large majority.

The name of each enum element has a fixed form, `T_LLLL`, where `T` is code.getType().getChar() and `LLLL` is code.getLabel().

Since:
  11 Jun 2014
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`E_A2XI`
`E_ADQX`
`E_BAPH`
`E_BMIM`
`E_CERR`
`E_CINT`
`E_CLDR`
`E_CLIO`
`E_CLOG`
`E_CLRD`
`E_CNAM`
`E_CNID`
`E_CPIF`
`E_CPIO`
`E_CPSX`
`E_CPT1`
`E_CPTV`
`E_CRSV`
`E_CTNO`
`E_CTYP`
`E_CUCD`
`E_CUNI`
`E_CUTP`
`E_DCER`
`E_DECO`
`E_DEHT`
`E_DEMO`
`E_DENO`
`E_DEOP`
`E_DFIO`
`E_DFSF`
`E_DNST`
`E_DQUM`
`E_DQUS`
`E_DSUC`
`E_ELDF`
`E_EST1`
`E_EURL`
`E_EXCH`
`E_EXCR`
`E_EXDH`
`E_EXIO`
`E_EXPA`
`E_EXVC`
`E_EXVP`
`E_FKIO`
`E_FKLK`
`E_FKNT`
`E_FLIO`
`E_FLSX`
`E_GEOX`
`E_GMIM`
`E_GONM`
`E_GPER`
`E_HNUL`
`E_HTDE`
`E_HTOF`
`E_IFMT`
`E_ILOP`
`E_ILPH`
`E_IOER`
`E_JBIO`
`E_JBSP`
`E_JDDE`
`E_JDED`
`E_JDID`
`E_JDIO`
`E_JDNO`
`E_JDPH`
`E_JDSX`
`E_JREJ`
`E_KCIO`
`E_KEYX`
`E_LNSP`
`E_LNUL`
`E_LVER`
`E_MCOL`
`E_MUPM`
`E_NAKT`
`E_NFND`
`E_NO11`
`E_NOHT`
`E_NONM`
`E_NOOF`
`E_NOQL`
`E_NOST`
`E_NOVO`
`E_NREC`
`E_NRER`
`E_NROW`
`E_OCOL`
`E_OVNO`
`E_PADU`
`E_PAMM`
`E_PANO`
`E_PANZ`
`E_PCMS`
`E_PCOL`
`E_PHUR`
`E_PLUT`
`E_PN0C`
`E_PN86`
`E_PNDE`
`E_PNDP`
`E_PNFT`
`E_PNGT`
`E_PNIK`
`E_PNLT`
`E_PNMG`
`E_PNMM`
`E_PNMT`
`E_PNMX`
`E_PNPL`
`E_PNST`
`E_PNTG`
`E_PNTN`
`E_PNUL`
`E_PNUT`
`E_PNXT`
`E_POER`
`E_PORE`
`E_PPST`
`E_PTXT`
`E_PVAL`
`E_QERR`
`E_QERX`
`E_QFAA`
`E_QST1`
`E_QST2`
`E_RALC`
`E_RANG`
`E_RDPH`
`E_RRES`
`E_RRTO`
`E_RUPH`
`E_SCIO`
`E_SPPA`
`E_SRXT`
`E_SVRB`
`E_TADH`
`E_TAP0`
`E_TBIO`
`E_TMCD`
`E_TMCN`
`E_TMCX`
`E_TMNC`
`E_TMNR`
`E_TNTN`
`E_TOVO`
`E_TRSV`
`E_TSAZ`
`E_TSC0`
`E_TSCT`
`E_TSLN`
`E_TSNL`
`E_TSSZ`
`E_TST0`
`E_TSTD`
`E_TTOO`
`E_TYPX`
`E_UCDX`
`E_UDFE`
`E_UKTB`
`E_UPBD`
`E_UPER`
`E_VOCT`
`E_VTIO`
`E_VVLO`
`E_XID0`
`E_XOFK`
`E_XPRM`
`E_XRS0`
`E_XRS1`
`F_CAIO`
`F_CAP0`
`F_CAPC`
`F_DTIO`
`F_EXNO`
`F_EXRD`
`F_GONE`
`F_INTR`
`F_MURL`
`F_NODT`
`F_NOPN`
`F_NOTB`
`F_NOTM`
`F_NOTP`
`F_NOUP`
`F_SXER`
`F_TBLA`
`F_TIOF`
`F_TRND`
`F_UNEX`
`F_UTF8`
`F_XENT`
`F_XURL`
`F_XVAL`
`F_ZCOL`
`I_CDET`
`I_CJOB`
`I_CULF`
`I_CURL`
`I_DMID`
`I_DQUR`
`I_DUFF`
`I_EURL`
`I_EXA2`
`I_EXMP`
`I_EXVT`
`I_JOFI`
`I_NODM`
`I_OCCP`
`I_PNIX`
`I_PNNS`
`I_PNSP`
`I_POPA`
`I_QGET`
`I_QJOB`
`I_QSUB`
`I_SCHM`
`I_SVRI`
`I_TAPV`
`I_TMAX`
`I_TSNS`
`I_TURL`
`I_UCDV`
`I_VURL`
`I_VUWS`
`I_VVNL`
`I_VVUN`
`S_COLS`
`S_FILT`
`S_FLGO`
`S_FLGS`
`S_PCLS`
`S_PNCN`
`S_PNCS`
`S_QNUM`
`S_QTIM`
`S_SUMM`
`S_VALI`
`S_XNUM`
`S_XVAL`
`W_A2MN`
`W_A2MX`
`W_AD2X`
`W_CCAS`
`W_CDET`
`W_CEUK`
`W_CEZZ`
`W_CIDX`
`W_CLUN`
`W_CPAN`
`W_CPI2`
`W_CPS2`
`W_CPSM`
`W_CPUL`
`W_CPUR`
`W_CRGN`
`W_CTYP`
`W_CUCD`
`W_CUNI`
`W_CUTP`
`W_DMDC`
`W_DMSS`
`W_DQU2`
`W_DRUC`
`W_DRUN`
`W_DRUT`
`W_DRXT`
`W_EX00`
`W_EXUL`
`W_EXVC`
`W_EXVL`
`W_EXVP`
`W_FKUN`
`W_FLUN`
`W_FTYP`
`W_GONO`
`W_HSTB`
`W_HURL`
`W_IODM`
`W_LVAN`
`W_MLTR`
`W_NMID`
`W_NOCT`
`W_NOMS`
`W_NSOP`
`W_OLNG`
`W_PGEO`
`W_PNJD`
`W_PNMT`
`W_PNTS`
`W_PNUB`
`W_QERR`
`W_QTYP`
`W_RDIO`
`W_SPPA`
`W_SPUC`
`W_SPUN`
`W_SVR0`
`W_SVRV`
`W_TADH`
`W_TBNF`
`W_TBUN`
`W_TFMT`
`W_TSCT`
`W_TSDL`
`W_TSZ1`
`W_TYPI`
`W_UCDQ`
`W_UNPH`
`W_UNSC`
`W_UPCS`
`W_VCPD`
`W_VUNE`
`W_VUNR`
`W_VUWS`
`W_WODM`
`W_ZRES`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a short textual description of the use of this code.
`String`
`getLabel()`
Returns the 4-character label of this code.
`ReportType`
`getType()`
Returns the type of this code.
`static FixedCode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FixedCode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### E_A2XI

public static final FixedCode E_A2XI

### E_ADQX

public static final FixedCode E_ADQX

### E_BAPH

public static final FixedCode E_BAPH

### E_BMIM

public static final FixedCode E_BMIM

### E_CERR

public static final FixedCode E_CERR

### E_CINT

public static final FixedCode E_CINT

### E_CLDR

public static final FixedCode E_CLDR

### E_CLIO

public static final FixedCode E_CLIO

### E_CLOG

public static final FixedCode E_CLOG

### E_CLRD

public static final FixedCode E_CLRD

### E_CNAM

public static final FixedCode E_CNAM

### E_CNID

public static final FixedCode E_CNID

### E_CPIF

public static final FixedCode E_CPIF

### E_CPIO

public static final FixedCode E_CPIO

### E_CPSX

public static final FixedCode E_CPSX

### E_CPT1

public static final FixedCode E_CPT1

### E_CPTV

public static final FixedCode E_CPTV

### E_CRSV

public static final FixedCode E_CRSV

### E_CTNO

public static final FixedCode E_CTNO

### E_CTYP

public static final FixedCode E_CTYP

### E_CUCD

public static final FixedCode E_CUCD

### E_CUNI

public static final FixedCode E_CUNI

### E_CUTP

public static final FixedCode E_CUTP

### E_DCER

public static final FixedCode E_DCER

### E_DECO

public static final FixedCode E_DECO

### E_DEHT

public static final FixedCode E_DEHT

### E_DEMO

public static final FixedCode E_DEMO

### E_DENO

public static final FixedCode E_DENO

### E_DEOP

public static final FixedCode E_DEOP

### E_DFIO

public static final FixedCode E_DFIO

### E_DFSF

public static final FixedCode E_DFSF

### E_DNST

public static final FixedCode E_DNST

### E_DQUM

public static final FixedCode E_DQUM

### E_DQUS

public static final FixedCode E_DQUS

### E_DSUC

public static final FixedCode E_DSUC

### E_ELDF

public static final FixedCode E_ELDF

### E_EST1

public static final FixedCode E_EST1

### E_EURL

public static final FixedCode E_EURL

### E_EXCH

public static final FixedCode E_EXCH

### E_EXDH

public static final FixedCode E_EXDH

### E_EXCR

public static final FixedCode E_EXCR

### E_EXIO

public static final FixedCode E_EXIO

### E_EXPA

public static final FixedCode E_EXPA

### E_EXVC

public static final FixedCode E_EXVC

### E_EXVP

public static final FixedCode E_EXVP

### E_FKIO

public static final FixedCode E_FKIO

### E_FKLK

public static final FixedCode E_FKLK

### E_FKNT

public static final FixedCode E_FKNT

### E_FLIO

public static final FixedCode E_FLIO

### E_FLSX

public static final FixedCode E_FLSX

### E_GEOX

public static final FixedCode E_GEOX

### E_GMIM

public static final FixedCode E_GMIM

### E_GONM

public static final FixedCode E_GONM

### E_GPER

public static final FixedCode E_GPER

### E_HNUL

public static final FixedCode E_HNUL

### E_HTDE

public static final FixedCode E_HTDE

### E_HTOF

public static final FixedCode E_HTOF

### E_IFMT

public static final FixedCode E_IFMT

### E_ILOP

public static final FixedCode E_ILOP

### E_ILPH

public static final FixedCode E_ILPH

### E_IOER

public static final FixedCode E_IOER

### E_JBIO

public static final FixedCode E_JBIO

### E_JBSP

public static final FixedCode E_JBSP

### E_JDDE

public static final FixedCode E_JDDE

### E_JDED

public static final FixedCode E_JDED

### E_JDID

public static final FixedCode E_JDID

### E_JDIO

public static final FixedCode E_JDIO

### E_JDNO

public static final FixedCode E_JDNO

### E_JDPH

public static final FixedCode E_JDPH

### E_JDSX

public static final FixedCode E_JDSX

### E_JREJ

public static final FixedCode E_JREJ

### E_KCIO

public static final FixedCode E_KCIO

### E_KEYX

public static final FixedCode E_KEYX

### E_LVER

public static final FixedCode E_LVER

### E_LNUL

public static final FixedCode E_LNUL

### E_LNSP

public static final FixedCode E_LNSP

### E_MCOL

public static final FixedCode E_MCOL

### E_MUPM

public static final FixedCode E_MUPM

### E_NAKT

public static final FixedCode E_NAKT

### E_NFND

public static final FixedCode E_NFND

### E_NO11

public static final FixedCode E_NO11

### E_NOHT

public static final FixedCode E_NOHT

### E_NONM

public static final FixedCode E_NONM

### E_NOOF

public static final FixedCode E_NOOF

### E_NOQL

public static final FixedCode E_NOQL

### E_NOST

public static final FixedCode E_NOST

### E_NOVO

public static final FixedCode E_NOVO

### E_NREC

public static final FixedCode E_NREC

### E_NRER

public static final FixedCode E_NRER

### E_NROW

public static final FixedCode E_NROW

### E_OCOL

public static final FixedCode E_OCOL

### E_OVNO

public static final FixedCode E_OVNO

### E_PADU

public static final FixedCode E_PADU

### E_PAMM

public static final FixedCode E_PAMM

### E_PANO

public static final FixedCode E_PANO

### E_PANZ

public static final FixedCode E_PANZ

### E_PCOL

public static final FixedCode E_PCOL

### E_PCMS

public static final FixedCode E_PCMS

### E_PHUR

public static final FixedCode E_PHUR

### E_PLUT

public static final FixedCode E_PLUT

### E_PN0C

public static final FixedCode E_PN0C

### E_PN86

public static final FixedCode E_PN86

### E_PNDE

public static final FixedCode E_PNDE

### E_PNDP

public static final FixedCode E_PNDP

### E_PNFT

public static final FixedCode E_PNFT

### E_PNGT

public static final FixedCode E_PNGT

### E_PNIK

public static final FixedCode E_PNIK

### E_PNLT

public static final FixedCode E_PNLT

### E_PNTN

public static final FixedCode E_PNTN

### E_PNMM

public static final FixedCode E_PNMM

### E_PNMT

public static final FixedCode E_PNMT

### E_PNMX

public static final FixedCode E_PNMX

### E_PNPL

public static final FixedCode E_PNPL

### E_PNST

public static final FixedCode E_PNST

### E_PNTG

public static final FixedCode E_PNTG

### E_PNUL

public static final FixedCode E_PNUL

### E_PNUT

public static final FixedCode E_PNUT

### E_PNMG

public static final FixedCode E_PNMG

### E_PNXT

public static final FixedCode E_PNXT

### E_POER

public static final FixedCode E_POER

### E_PORE

public static final FixedCode E_PORE

### E_PPST

public static final FixedCode E_PPST

### E_PTXT

public static final FixedCode E_PTXT

### E_PVAL

public static final FixedCode E_PVAL

### E_QERR

public static final FixedCode E_QERR

### E_QERX

public static final FixedCode E_QERX

### E_QFAA

public static final FixedCode E_QFAA

### E_QST1

public static final FixedCode E_QST1

### E_QST2

public static final FixedCode E_QST2

### E_RALC

public static final FixedCode E_RALC

### E_RANG

public static final FixedCode E_RANG

### E_RDPH

public static final FixedCode E_RDPH

### E_RRES

public static final FixedCode E_RRES

### E_RRTO

public static final FixedCode E_RRTO

### E_RUPH

public static final FixedCode E_RUPH

### E_SCIO

public static final FixedCode E_SCIO

### E_SPPA

public static final FixedCode E_SPPA

### E_SRXT

public static final FixedCode E_SRXT

### E_SVRB

public static final FixedCode E_SVRB

### E_TADH

public static final FixedCode E_TADH

### E_TAP0

public static final FixedCode E_TAP0

### E_TBIO

public static final FixedCode E_TBIO

### E_TMCD

public static final FixedCode E_TMCD

### E_TMCN

public static final FixedCode E_TMCN

### E_TMCX

public static final FixedCode E_TMCX

### E_TMNC

public static final FixedCode E_TMNC

### E_TMNR

public static final FixedCode E_TMNR

### E_TNTN

public static final FixedCode E_TNTN

### E_TOVO

public static final FixedCode E_TOVO

### E_TRSV

public static final FixedCode E_TRSV

### E_TSC0

public static final FixedCode E_TSC0

### E_TSCT

public static final FixedCode E_TSCT

### E_TSAZ

public static final FixedCode E_TSAZ

### E_TSSZ

public static final FixedCode E_TSSZ

### E_TST0

public static final FixedCode E_TST0

### E_TSTD

public static final FixedCode E_TSTD

### E_TSLN

public static final FixedCode E_TSLN

### E_TSNL

public static final FixedCode E_TSNL

### E_TTOO

public static final FixedCode E_TTOO

### E_TYPX

public static final FixedCode E_TYPX

### E_UCDX

public static final FixedCode E_UCDX

### E_UDFE

public static final FixedCode E_UDFE

### E_UKTB

public static final FixedCode E_UKTB

### E_UPBD

public static final FixedCode E_UPBD

### E_UPER

public static final FixedCode E_UPER

### E_VOCT

public static final FixedCode E_VOCT

### E_VTIO

public static final FixedCode E_VTIO

### E_VVLO

public static final FixedCode E_VVLO

### E_XID0

public static final FixedCode E_XID0

### E_XOFK

public static final FixedCode E_XOFK

### E_XPRM

public static final FixedCode E_XPRM

### E_XRS0

public static final FixedCode E_XRS0

### E_XRS1

public static final FixedCode E_XRS1

### W_A2MN

public static final FixedCode W_A2MN

### W_A2MX

public static final FixedCode W_A2MX

### W_AD2X

public static final FixedCode W_AD2X

### W_CCAS

public static final FixedCode W_CCAS

### W_CDET

public static final FixedCode W_CDET

### W_CEUK

public static final FixedCode W_CEUK

### W_CEZZ

public static final FixedCode W_CEZZ

### W_CIDX

public static final FixedCode W_CIDX

### W_CLUN

public static final FixedCode W_CLUN

### W_CPAN

public static final FixedCode W_CPAN

### W_CPI2

public static final FixedCode W_CPI2

### W_CPS2

public static final FixedCode W_CPS2

### W_CPSM

public static final FixedCode W_CPSM

### W_CPUL

public static final FixedCode W_CPUL

### W_CPUR

public static final FixedCode W_CPUR

### W_CRGN

public static final FixedCode W_CRGN

### W_CTYP

public static final FixedCode W_CTYP

### W_CUCD

public static final FixedCode W_CUCD

### W_CUNI

public static final FixedCode W_CUNI

### W_CUTP

public static final FixedCode W_CUTP

### W_DMDC

public static final FixedCode W_DMDC

### W_DMSS

public static final FixedCode W_DMSS

### W_DRUC

public static final FixedCode W_DRUC

### W_DRUN

public static final FixedCode W_DRUN

### W_DRUT

public static final FixedCode W_DRUT

### W_DRXT

public static final FixedCode W_DRXT

### W_DQU2

public static final FixedCode W_DQU2

### W_EX00

public static final FixedCode W_EX00

### W_EXUL

public static final FixedCode W_EXUL

### W_EXVC

public static final FixedCode W_EXVC

### W_EXVL

public static final FixedCode W_EXVL

### W_EXVP

public static final FixedCode W_EXVP

### W_FKUN

public static final FixedCode W_FKUN

### W_FLUN

public static final FixedCode W_FLUN

### W_FTYP

public static final FixedCode W_FTYP

### W_GONO

public static final FixedCode W_GONO

### W_HSTB

public static final FixedCode W_HSTB

### W_HURL

public static final FixedCode W_HURL

### W_IODM

public static final FixedCode W_IODM

### W_LVAN

public static final FixedCode W_LVAN

### W_MLTR

public static final FixedCode W_MLTR

### W_NMID

public static final FixedCode W_NMID

### W_NOCT

public static final FixedCode W_NOCT

### W_NOMS

public static final FixedCode W_NOMS

### W_NSOP

public static final FixedCode W_NSOP

### W_OLNG

public static final FixedCode W_OLNG

### W_PGEO

public static final FixedCode W_PGEO

### W_PNJD

public static final FixedCode W_PNJD

### W_PNMT

public static final FixedCode W_PNMT

### W_PNTS

public static final FixedCode W_PNTS

### W_PNUB

public static final FixedCode W_PNUB

### W_QERR

public static final FixedCode W_QERR

### W_QTYP

public static final FixedCode W_QTYP

### W_RDIO

public static final FixedCode W_RDIO

### W_SPPA

public static final FixedCode W_SPPA

### W_SVR0

public static final FixedCode W_SVR0

### W_SVRV

public static final FixedCode W_SVRV

### W_SPUC

public static final FixedCode W_SPUC

### W_SPUN

public static final FixedCode W_SPUN

### W_TADH

public static final FixedCode W_TADH

### W_TBNF

public static final FixedCode W_TBNF

### W_TBUN

public static final FixedCode W_TBUN

### W_TFMT

public static final FixedCode W_TFMT

### W_TSCT

public static final FixedCode W_TSCT

### W_TSDL

public static final FixedCode W_TSDL

### W_TSZ1

public static final FixedCode W_TSZ1

### W_TYPI

public static final FixedCode W_TYPI

### W_UCDQ

public static final FixedCode W_UCDQ

### W_UNPH

public static final FixedCode W_UNPH

### W_UNSC

public static final FixedCode W_UNSC

### W_UPCS

public static final FixedCode W_UPCS

### W_VUNE

public static final FixedCode W_VUNE

### W_VUNR

public static final FixedCode W_VUNR

### W_VCPD

public static final FixedCode W_VCPD

### W_VUWS

public static final FixedCode W_VUWS

### W_WODM

public static final FixedCode W_WODM

### W_ZRES

public static final FixedCode W_ZRES

### F_CAIO

public static final FixedCode F_CAIO

### F_CAP0

public static final FixedCode F_CAP0

### F_CAPC

public static final FixedCode F_CAPC

### F_DTIO

public static final FixedCode F_DTIO

### F_EXNO

public static final FixedCode F_EXNO

### F_EXRD

public static final FixedCode F_EXRD

### F_GONE

public static final FixedCode F_GONE

### F_INTR

public static final FixedCode F_INTR

### F_MURL

public static final FixedCode F_MURL

### F_NODT

public static final FixedCode F_NODT

### F_NOPN

public static final FixedCode F_NOPN

### F_NOTB

public static final FixedCode F_NOTB

### F_NOTM

public static final FixedCode F_NOTM

### F_NOTP

public static final FixedCode F_NOTP

### F_NOUP

public static final FixedCode F_NOUP

### F_SXER

public static final FixedCode F_SXER

### F_TBLA

public static final FixedCode F_TBLA

### F_TIOF

public static final FixedCode F_TIOF

### F_TRND

public static final FixedCode F_TRND

### F_UNEX

public static final FixedCode F_UNEX

### F_UTF8

public static final FixedCode F_UTF8

### F_XENT

public static final FixedCode F_XENT

### F_XURL

public static final FixedCode F_XURL

### F_XVAL

public static final FixedCode F_XVAL

### F_ZCOL

public static final FixedCode F_ZCOL

### I_CDET

public static final FixedCode I_CDET

### I_CJOB

public static final FixedCode I_CJOB

### I_CULF

public static final FixedCode I_CULF

### I_CURL

public static final FixedCode I_CURL

### I_DMID

public static final FixedCode I_DMID

### I_DQUR

public static final FixedCode I_DQUR

### I_DUFF

public static final FixedCode I_DUFF

### I_EURL

public static final FixedCode I_EURL

### I_EXA2

public static final FixedCode I_EXA2

### I_EXMP

public static final FixedCode I_EXMP

### I_EXVT

public static final FixedCode I_EXVT

### I_JOFI

public static final FixedCode I_JOFI

### I_NODM

public static final FixedCode I_NODM

### I_OCCP

public static final FixedCode I_OCCP

### I_PNIX

public static final FixedCode I_PNIX

### I_PNSP

public static final FixedCode I_PNSP

### I_PNNS

public static final FixedCode I_PNNS

### I_POPA

public static final FixedCode I_POPA

### I_QGET

public static final FixedCode I_QGET

### I_QJOB

public static final FixedCode I_QJOB

### I_QSUB

public static final FixedCode I_QSUB

### I_SCHM

public static final FixedCode I_SCHM

### I_SVRI

public static final FixedCode I_SVRI

### I_TAPV

public static final FixedCode I_TAPV

### I_TMAX

public static final FixedCode I_TMAX

### I_TSNS

public static final FixedCode I_TSNS

### I_TURL

public static final FixedCode I_TURL

### I_UCDV

public static final FixedCode I_UCDV

### I_VURL

public static final FixedCode I_VURL

### I_VUWS

public static final FixedCode I_VUWS

### I_VVNL

public static final FixedCode I_VVNL

### I_VVUN

public static final FixedCode I_VVUN

### S_COLS

public static final FixedCode S_COLS

### S_FILT

public static final FixedCode S_FILT

### S_FLGO

public static final FixedCode S_FLGO

### S_FLGS

public static final FixedCode S_FLGS

### S_PCLS

public static final FixedCode S_PCLS

### S_PNCS

public static final FixedCode S_PNCS

### S_PNCN

public static final FixedCode S_PNCN

### S_QNUM

public static final FixedCode S_QNUM

### S_QTIM

public static final FixedCode S_QTIM

### S_SUMM

public static final FixedCode S_SUMM

### S_VALI

public static final FixedCode S_VALI

### S_XNUM

public static final FixedCode S_XNUM

### S_XVAL

public static final FixedCode S_XVAL

## Method Details

### values

public static FixedCode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static FixedCode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getType

public ReportType getType()
Description copied from interface: `ReportCode`
Returns the type of this code.

Specified by:
  `getType` in interface `ReportCode`
Returns:
  type

### getLabel

public String getLabel()
Description copied from interface: `ReportCode`
Returns the 4-character label of this code.

Specified by:
  `getLabel` in interface `ReportCode`
Returns:
  4-character label

### getDescription

public String getDescription()
Returns a short textual description of the use of this code. It may not be very precise; if the message put through the reporting system is available, that should be used in preference.

Returns:
  description